// Copyright 2019 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// https://wicg.github.io/file-system-access/#local-filesystem
[
    SecureContext,
    RuntimeEnabled=FileSystemAccessLocal,
    ImplementedAs=GlobalFileSystemAccess
] partial interface Window {
    [CallWith=ScriptState, RaisesException, Measure]
    Promise<sequence<FileSystemFileHandle>> showOpenFilePicker(
        optional OpenFilePickerOptions options = {});
    [CallWith=ScriptState, RaisesException, Measure]
    Promise<FileSystemFileHandle> showSaveFilePicker(
        optional SaveFilePickerOptions options = {});
    [CallWith=ScriptState, RaisesException, Measure]
    Promise<FileSystemDirectoryHandle> showDirectoryPicker(
        optional DirectoryPickerOptions options = {});
};
